Subject: Re: Retransmission Algorithm

From: Bharat Kaul <[email-masked]>
Date: Thu, 31 Aug 2000 14:12:02 -0700

I was wondering from the point of view of UDP. TCP has lot of complicatios
with this algorithm (like establishing new connections etc.).To me it seems
that the retransmission algorithm is not same as what used to be RFC2705 and
we have to stick to one IP Address.

- Bharat

-----Original Message-----
From: Qiaobing Xie [mailto:[email-masked]]
Sent: Thursday, August 31, 2000 1:51 PM
To: [email-masked]
Subject: Re: Retransmission Algorithm

If you use SCTP as the transport (Megaco/Annex H), all the issues you
described here will be covered by SCTP...

-Qiaobing

Bharat Kaul wrote:
>
> I didn't see any comments on following posting. So am resending the
posting.
>
> Comments please :)
>
> - Bharat
>
> -----Original Message-----
> From: Bharat Kaul [mailto:[email-masked]]
> Sent: Tuesday, August 29, 2000 4:17 PM
>
> I have a question regarding usage of multiple IP addresses. Does MEGACO
> follow
> same retransmission algorithm as RFC 2705 with max1 and max2 as thresholds
> and contacting DNS in between as required ? The Megaco document doesn't
seem
> to say that except a casual mention in D.1.5 section.
>
> If the retransmission algorithm doesn't have max1 and max2 thresholds, are
> multiple IP addresses of any significance for communication between a MG
and
> an MGC with no clear way defined for switching between IP Addresses ?
>
> On a similar note, are we required to maintain TTL for IP addresses and
> contact DNS in MEGACO too ?
>
>   Thanks
> - Bharat